<?php
/**
 * The template for displaying al pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

get_header(); ?>
	<?php
		// Call home if Homepage setting is set to latest posts.
		if ( ultra_gym_is_latest_posts() ) {

			get_template_part( 'template-parts/content', 'home' );

		} elseif ( ultra_gym_is_frontpage() ) {
			
			$options = ultra_gym_get_theme_options();
			$sorted = array();
			if ( ! empty( $options['sortable'] ) ) {
				$sorted = explode( ',' , $options['sortable'] );
			}

			foreach ( $sorted as $section ) {
				add_action( 'ultra_gym_primary_content', 'ultra_gym_add_'. $section .'_section' );
			}
			do_action( 'ultra_gym_primary_content' );
		}
get_footer();