<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage  ultra_gym
	 * @since  ultra_gym 1.0.0
	 */

	/**
	 * ultra_gym_doctype hook
	 *
	 * @hooked ultra_gym_doctype -  10
	 *
	 */
	do_action( 'ultra_gym_doctype' );

?>
<head>
<?php
	/**
	 * ultra_gym_before_wp_head hook
	 *
	 * @hooked ultra_gym_head -  10
	 *
	 */
	do_action( 'ultra_gym_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * ultra_gym_page_start_action hook
	 *
	 * @hooked ultra_gym_page_start -  10
	 *
	 */
	do_action( 'ultra_gym_page_start_action' ); 

	/**
	 * ultra_gym_loader_action hook
	 *
	 * @hooked ultra_gym_loader -  10
	 *
	 */
	do_action( 'ultra_gym_before_header' );

	/**
	 * ultra_gym_header_action hook
	 *
	 * @hooked ultra_gym_site_branding -  10
	 * @hooked ultra_gym_header_start -  20
	 * @hooked ultra_gym_site_navigation -  30
	 * @hooked ultra_gym_header_end -  50
	 *
	 */
	do_action( 'ultra_gym_header_action' );

	/**
	 * ultra_gym_content_start_action hook
	 *
	 * @hooked ultra_gym_content_start -  10
	 *
	 */
	do_action( 'ultra_gym_content_start_action' );

    /**
     * ultra_gym_header_image_action hook
     *
     * @hooked ultra_gym_header_image -  10
     *
     */
    do_action( 'ultra_gym_header_image_action' );
