<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'ultra_gym_single_post_section', array(
	'title'             => esc_html__( 'Single Post','ultra-gym' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'ultra-gym' ),
	'panel'             => 'ultra_gym_theme_options_panel',
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'ultra_gym_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'ultra-gym' ),
	'section'           => 'ultra_gym_single_post_section',
	'on_off_label' 		=> ultra_gym_hide_options(),
) ) );

