<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

$options = ultra_gym_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
$readmore = ! empty( $options['read_more_text'] ) ? $options['read_more_text'] : '';
?>
<article id="post-<?php the_ID(); ?>">
    <div class="post-wrapper">
        <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'post-thumbnail' ) ?>');">
                <a href="<?php the_permalink(); ?>" class="post-thumbnail-link" title="<?php the_title_attribute(); ?>"></a>
            </div><!-- .featured-image -->
        <?php endif; ?>

       <div class="entry-container">
            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>
            <div class="entry-meta">
                <?php  
                ultra_gym_posted_on();
                echo ultra_gym_author(); ?>
            </div><!-- .entry-meta -->
            <div class="entry-content">
                <?php the_excerpt(); ?>
                <?php if(!empty($readmore)) :?>
                    <a href="<?php the_permalink(); ?>" class="more-link" >
                        <?php echo esc_html( $readmore ); ?>
                    </a>
            <?php endif; ?>
            </div>
        </div><!-- .entry-container -->
    </div>
</article>
